Back to top

Matlab Structs Tool 3.6.1/3.6.2 (13 June 2008; 27 Feb 2009)

Submitted by jimg on Fri, 02/27/2009 - 16:51

Version 3.6.1 of loaddap built with libdap 3.8.1. You must have Matalb 2007a ... 2008b to use these binaries. See loaddap 3.7.0 For Matlab 2009 or newer. It contains some fixes to the documentation and to the tests and other miscellaneous fixes to the source code but no new features. However, the Window XP and OS/X installers now contain the necessary libdap binaries, too, so even though libdap is listed as required software, you only need to download the loaddap packages listed here. Linux users still have to get the libdap rpms in addition to the loaddap rpms here. 27 Feb 2009 version 3.6.2. New version and installer with an important bug fix for Widows XP/Vista. We fixed a problem where loaddap would force you restart to Matlab every so often (once every 500 times loaddap was called). This fix is in version 3.6.2 and the fix only applies to the WinXP binary; the software is unchanged for the linux and OS/X platforms. 23 July 2008 New installer for Widows XP/Vista. We've fixed a problem with the installer. Grab the new one from the link below. The version number is the same since there's no change to the software at all - just some additional run-time libraries from Microsoft. 20 June 2008 Updated the OS/X packages so that they include libdap.


Windows Win32-3.6.2
Win32 package (sig) Note that this version was built against libdap 3.8.2, not 3.8.1 as with the other binaries in this section.
Mac OS/X Mac OS/X
OS/X 10.4 PPC (sig)
Intel Mac (sig)
Linux Tux Logo Linux
ix86_64/Fedora Core 8; libdap i86_64 FC8
Linux Tux Logo Linux
i386/Fedora Core 8; libdap i386 FC8

Required packages The Matlab structs tool requires the libdap library, version 3.8.1 or 3.8.2. Do not use the new 3.9.0 libdap with ml-structs 3.6.1 or 3.6.2. (note that the Windows XP installer includes the correct version of libdap). Required third-party packages On win32 the libdap binary distribution contains all the third-party libraries you need; on platforms like linux you should look at the requirements for libdap. In most cases those libraries are already present, so to avoid duplication and other problems, we don't provide them by default. The Mac falls somewhere in between.

Windows Win32
The libdap binary distribution contains all the third-party libraries you need as well as libdap so you don't need to get any other packages.
Mac OS/X Mac OS/X 10.4 or greater
In rare cases Mac users may need to install libxml2. See the third-party software page or go directly to the libxml2 page.
Linux Tux Logo Linux (x86_64/i386)
Modern versions of Linux come with the needed third-party libraries.

Source code

Version 3.6.1
loaddap.tar.gz (1.2 MB) (sig). If you're after source code for WinXP, contact support about building from our SVN repository. Required: libdap++ 3.8.1 (1.3 MB) (sig)

Contributed builds

Version 3.6.1
Contributed: Sharing your binary builds for those operating systems not available here.